<?php

namespace App\Mail;

use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;

class Confirmation extends Mailable
{
    use Queueable, SerializesModels;
	
	public $nom;
    public $montant;
    public $ref;
    public $mode;
    /**
     * Create a new message instance.
     *
     * @return void
     */
    public function __construct($nom, $montant, $ref, $mode)
    {
        $this->nom = $nom;
        $this->montant = $montant;
        $this->ref = $ref;
        $this->mode = $mode;
    }

    /**
     * Build the message.
     *
     * @return $this
     */
    public function build()
    {
       
		return $this->from('econtact@gmail.com', 'E-commerce')
                ->subject('Confirmation de votre paiement')
                ->view('emails.confirm');
    }
}
